<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>I-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="I-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#indexIsValid-int-">indexIsValid(int)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Method that validates if the index is valid</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#inorder-LinkedHeapPackage.BinaryTreeNode-ArrayListPackage.ArrayUnorderedList-">inorder(BinaryTreeNode&lt;T&gt;, ArrayUnorderedList&lt;T&gt;)</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Performs a recursive inorder traversal.</div>
</dd>
<dt><a href="../Exceptions/InvalidMapException.html" title="class in Exceptions"><span class="typeNameLink">InvalidMapException</span></a> - Exception in <a href="../Exceptions/package-summary.html">Exceptions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Exceptions/InvalidMapException.html#InvalidMapException--">InvalidMapException()</a></span> - Constructor for exception Exceptions.<a href="../Exceptions/InvalidMapException.html" title="class in Exceptions">InvalidMapException</a></dt>
<dd>
<div class="block">Creates a new instance of <code>InvalidMapException</code> without
 detail message.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Exceptions/InvalidMapException.html#InvalidMapException-java.lang.String-">InvalidMapException(String)</a></span> - Constructor for exception Exceptions.<a href="../Exceptions/InvalidMapException.html" title="class in Exceptions">InvalidMapException</a></dt>
<dd>
<div class="block">Constructs an instance of <code>InvalidMapException</code> with the
 specified detail message.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#isConnected--">isConnected()</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Method that returns true if the graph is connected and false otherwise</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/GraphADT.html#isConnected--">isConnected()</a></span> - Method in interface Graph.<a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a></dt>
<dd>
<div class="block">Returns true if this graph is connected, false otherwise.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.html#isEmpty--">isEmpty()</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></dt>
<dd>
<div class="block">Returns true if the list is empty</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#isEmpty--">isEmpty()</a></span> - Method in interface ArrayListPackage.<a href="../ArrayListPackage/ListADT.html" title="interface in ArrayListPackage">ListADT</a></dt>
<dd>
<div class="block">Returns true if this list contains no elements.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#isEmpty--">isEmpty()</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Method that returns true if the graphic is empty</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/GraphADT.html#isEmpty--">isEmpty()</a></span> - Method in interface Graph.<a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a></dt>
<dd>
<div class="block">Returns true if this graph is empty, false otherwise.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeADT.html#isEmpty--">isEmpty()</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeADT.html" title="interface in LinkedHeapPackage">BinaryTreeADT</a></dt>
<dd>
<div class="block">Returns true if this binary tree is empty and false otherwise.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#isEmpty--">isEmpty()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Determines if the tree is empty</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/LinkedQueue.html#isEmpty--">isEmpty()</a></span> - Method in class QueuePackage.<a href="../QueuePackage/LinkedQueue.html" title="class in QueuePackage">LinkedQueue</a></dt>
<dd>
<div class="block">Returns true if this queue contains no elements.</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/QueueADT.html#isEmpty--">isEmpty()</a></span> - Method in interface QueuePackage.<a href="../QueuePackage/QueueADT.html" title="interface in QueuePackage">QueueADT</a></dt>
<dd>
<div class="block">Returns true if this queue contains no elements.</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/LinkedStack.html#isEmpty--">isEmpty()</a></span> - Method in class StackPackage.<a href="../StackPackage/LinkedStack.html" title="class in StackPackage">LinkedStack</a></dt>
<dd>
<div class="block">Returns true if this stack contains no elements.</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/StackADT.html#isEmpty--">isEmpty()</a></span> - Method in interface StackPackage.<a href="../StackPackage/StackADT.html" title="interface in StackPackage">StackADT</a></dt>
<dd>
<div class="block">Returns true if this stack contains no elements.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.html#iterator--">iterator()</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></dt>
<dd>
<div class="block">Method that returns the iterator fo this list</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ListADT.html#iterator--">iterator()</a></span> - Method in interface ArrayListPackage.<a href="../ArrayListPackage/ListADT.html" title="interface in ArrayListPackage">ListADT</a></dt>
<dd>
<div class="block">Returns an iterator for the elements in this list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#iteratorBFS-T-">iteratorBFS(T)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Returns a breadth first iterator starting with the given vertex.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#iteratorBFS-int-">iteratorBFS(int)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Returns an iterator that performs a breadth first search traversal
 starting at the given index.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/GraphADT.html#iteratorBFS-T-">iteratorBFS(T)</a></span> - Method in interface Graph.<a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a></dt>
<dd>
<div class="block">Returns a breadth first iterator starting with the given vertex.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#iteratorDFS-T-">iteratorDFS(T)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Returns a depth first iterator starting with the given vertex.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#iteratorDFS-int-">iteratorDFS(int)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Returns an iterator that performs a depth first search traversal starting
 at the given index.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/GraphADT.html#iteratorDFS-T-">iteratorDFS(T)</a></span> - Method in interface Graph.<a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a></dt>
<dd>
<div class="block">Returns a depth first iterator starting with the given vertex.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeADT.html#iteratorInOrder--">iteratorInOrder()</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeADT.html" title="interface in LinkedHeapPackage">BinaryTreeADT</a></dt>
<dd>
<div class="block">Performs an inorder traversal on this binary tree by calling an
 overloaded, recursive inorder method that starts with the root.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#iteratorInOrder--">iteratorInOrder()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Performs an inorder traversal on this binary tree by calling an
 overloaded, recursive inorder method that starts with the root.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeADT.html#iteratorLevelOrder--">iteratorLevelOrder()</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeADT.html" title="interface in LinkedHeapPackage">BinaryTreeADT</a></dt>
<dd>
<div class="block">Performs a levelorder traversal on the binary tree, using a queue.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#iteratorLevelOrder--">iteratorLevelOrder()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Performs an levelorder traversal on this binary tree by calling an
 overloaded, recursive inorder method that starts with the root.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeADT.html#iteratorPostOrder--">iteratorPostOrder()</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeADT.html" title="interface in LinkedHeapPackage">BinaryTreeADT</a></dt>
<dd>
<div class="block">Performs a postorder traversal on this binary tree by calling an
 overloaded, recursive postorder method that starts with the root.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#iteratorPostOrder--">iteratorPostOrder()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Performs an postorder traversal on this binary tree by calling an
 overloaded, recursive inorder method that starts with the root.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeADT.html#iteratorPreOrder--">iteratorPreOrder()</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeADT.html" title="interface in LinkedHeapPackage">BinaryTreeADT</a></dt>
<dd>
<div class="block">Performs a preorder traversal on this binary tree by calling an
 overloaded, recursive preorder method that starts with the root.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#iteratorPreOrder--">iteratorPreOrder()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Performs an preorder traversal on this binary tree by calling an
 overloaded, recursive inorder method that starts with the root.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#iteratorShortestPath-T-T-">iteratorShortestPath(T, T)</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Returns an iterator that contains the shortest path between the two
 vertices.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#iteratorShortestPath-int-int-">iteratorShortestPath(int, int)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Returns an iterator that contains the shortest path between the two
 indexes.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#iteratorShortestPath-T-T-">iteratorShortestPath(T, T)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Returns an iterator that contains the shortest path between the two
 vertices.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/GraphADT.html#iteratorShortestPath-T-T-">iteratorShortestPath(T, T)</a></span> - Method in interface Graph.<a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a></dt>
<dd>
<div class="block">Returns an iterator that contains the shortest path between the two
 vertices.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#iteratorShortestPathIndices-int-int-">iteratorShortestPathIndices(int, int)</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Given the start vertex index and the target index, returns an iterator with the shortest path, if possible or
 null otherwise</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-8.html">Prev Letter</a></li>
<li><a href="index-10.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-9.html" target="_top">Frames</a></li>
<li><a href="index-9.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
